using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO;

namespace skyscraper5.Dvb.SystemSoftwareUpdate.CarouselIntention
{
    class GroupInfoIndication
    {
        public GroupInfoIndication(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            ushort numberOfGroups = ms.ReadUInt16BE();
            GroupInfos = new GroupInfo[numberOfGroups];
            for (int i = 0; i < numberOfGroups; i++)
            {
                GroupInfos[i] = new GroupInfo(ms);
            }
        }

        public GroupInfo[] GroupInfos { get; private set; }
    }
}
